🎉ShipEngine is becoming ShipStation API🎉

Over the next few months you'll notice the ShipEngine website, documentation portal, and dashboard being rebranded as ShipStation API. For our ShipEngine customers, you don't need to take any action or change any of your integrations in any way. All endpoints will remain the same and continue to function as they always have.

To learn more about what's coming, review our [New ShipStation API page](/content/docs/new-shipstation-api/index.html).

# List Manifests

Similar to querying shipments, we allow you to query manifests since there will likely be a large number over a long period of time.

| Query Parameter      | Description                                                                                            |
|----------------------|--------------------------------------------------------------------------------------------------------|
| warehouse_id         | _string_                                                                                            |
| carrier_id          | _string_                                                                                            |
| label_ids            | _string_                                                                                            |
| ship_date_start      | _date string_, ( [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601)) <br>`2019-07-25T15:24:46.657Z` |
| ship_date_end        | _date string_, ( [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601)) <br>`2019-07-25T15:24:46.657Z` |
| create_date_start    | _date string_, ( [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601)) <br>`2019-07-25T15:24:46.657Z` |
| create_date_end      | _date string_, ( [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601)) <br>`2019-07-25T15:24:46.657Z` |

## Example

**GET /v1/manifests**

HTTPcURLC#JavaScriptNodeJSPHPPythonRubyJavaGoSwiftObjective-CPowerShell

```
1
2
3

GET /v1/manifests?warehouse_id=11921&carrier_id=se-123890 HTTP/1.1
```
